jmap(1)

NAME
jmap - memory map

SYNOPSIS
jmap [option] pid
jmap [option] executable core
jmap [option] [server-id@]remote-hostname-or-IP

DESCRIPTION
jmap prints shared object memory maps or heap memory details of a given process or core file or remote debug server.

NOTE - This utility is unsupported and may or may not be available in future versions of the J2SE SDK. jmap is not currently available on Windows platforms or on the Linux Itanium platform.

PARAMETERS

option
    Options are mutually exclusive. Option, if used, shouldfollow immediately after the command name.

pid process id for which the memory map is to be printed. The process must be a Java process. To get a list of Java processes running on a machine, jps may be used.

executable
    Java executable from which the core dump was produced.

core
    core file for which the memory map is to be printed.

remote-hostname-or-IP
    remote debug server's (see jsadebugd) hostname or IP address.

server-id
    optional unique id, if multiple debug servers are running on the same remote host.

OPTIONS

<no option>
    When no option is used jmap prints shared object mappings. For each shared object loaded in the target VM, start address, the size of the mapping, and the full path of the shared object file are printed. This is similar to the Solaris pmap utility.

-heap
    Prints a heap summary. GC algorithm used, heap configuration and generation wise heap usage are printed.

-histo
    Prints a histogram of the heap. For each Java class, number of objects, memory size in bytes, and fully qualified class names are printed. VM internal class names are printed with '*' prefix.

-permstat
    Prints class loader wise statistics of permanent generation of Java heap. For each class loader, its name, liveness, address, parent class loader, and the number and size of classes it has loaded are printed.

-h  Prints a help message.

-help
    Prints a help message.

SEE ALSO
pmap(1) jps(1) jsadebugd(1)